Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2023-07-09 19:25:22 +0200
committerErich Eckner <git@eckner.net>2023-07-09 19:26:31 +0200
commit8d532f1366905b8af4e79fc7bf15f4b7ff633da2 (patch)
tree175e6f8a1108e80491640f2ddd4edadbd165f963 /bin
parentdd16033374de74762c808480cb217ae35082eb4b (diff)
bin/get-package-updates: less strict locking
* Do not lock build list, so builders can get jobs. * This may lead to builders getting for jobs, that are currently overwritten or deleted. This should not be worse than if the builder got the job before running get-package-updates, though.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/get-package-updates13
1 files changed, 2 insertions, 11 deletions
diff --git a/bin/get-package-updates b/bin/get-package-updates
index 32d1f07..f79b097 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -265,18 +265,9 @@ if ${pull} && \
exit
fi
-# Create a lock file for build list.
-
-exec 9> "${build_list_lock_file}"
-# shellcheck disable=SC2086
-if ! verbose_flock ${block_flag} 9; then
- >&2 echo 'come back (shortly) later - I cannot lock build list.'
- exit
-fi
-
-exec 8> "${sanity_check_lock_file}"
+exec 9> "${sanity_check_lock_file}"
# shellcheck disable=SC2086
-if ! verbose_flock -s ${block_flag} 8; then
+if ! verbose_flock -s ${block_flag} 9; then
>&2 echo 'come back (shortly) later - sanity-check running.'
exit
fi